import request from '/@/utils/request';

export function userApi() {
    return {
        // v1
        getUserList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/find/list/roleId`,
                method: 'post',
                data: data
            });
        },
        // v1
        addUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/add`,
                method: 'post',
                data: data
            });
        },
        // v1
        modUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/mod`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/deleteUser`,
                method: 'post',
                data: data
            });
        },
        // v1
        getUserLByDepartment: (depId: number | null) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/dep/list?depId=${depId == null ? '' : depId}`,
                method: 'get'
            });
        },
        getAllUser: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/list`,
                method: 'get'
            });
        }
    };
}
